/v1/person-checks

Perform a person check.

Body·
required
application/json
  • type
    Type: string enum
    required
    values
    • basic
    • basic_plus
    • standard
    • extended
    • full
    • custom
    • compliance
  • address
    Type: object ·
  • check_identifier
    Type: string
  • id_document
    Type: object ·
  • person
    Type: object ·
  • report_language
    Type: string
  • report_view
    Type: boolean
  • source
    Type: object ·
Responses
  • application/json
  • application/json
Request Example for post/v1/person-checks
curl https://api.test.24idcheck.com/v1/v1/person-checks \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "type": "basic",
  "report_language": "",
  "report_view": true,
  "check_identifier": "",
  "source": {
    "source": "",
    "sourceid": "",
    "organisation_name": "",
    "organization_coc_registration_number": "",
    "username": "",
    "userid": 1,
    "location": "",
    "location_id": ""
  },
  "person": {
    "initials": "",
    "first_name": "",
    "last_name_prefix": "",
    "last_name": "",
    "mail_address": "",
    "gender": "M",
    "date_of_birth": "",
    "place_of_birth": "",
    "phone_number": ""
  },
  "address": {
    "street": "",
    "house_number": "",
    "house_number_extension": "",
    "zip_code": "",
    "city": "",
    "country": "",
    "address_line_1": "",
    "address_line_2": "",
    "state": ""
  },
  "id_document": {
    "type": "drivers_license",
    "country": "",
    "number": ""
  }
}'
{
  "check_identifier": "string",
  "report_identifier": "string",
  "risk_country": {
    "risk_result": "L"
  },
  "person_match": {
    "code": "string",
    "message": "string",
    "person": {
      "initials": "string",
      "first_name": "string",
      "last_name_prefix": "string",
      "last_name": "string",
      "mail_address": "string",
      "gender": "M",
      "date_of_birth": "2026-09-01T09:30:28.784Z",
      "place_of_birth": "string",
      "phone_number": "string"
    }
  },
  "address_match": {
    "code": "string",
    "message": "string",
    "last_updated": "2026-09-01T09:30:28.784Z",
    "address": {
      "street": "string",
      "house_number": "string",
      "house_number_extension": "string",
      "zip_code": "string",
      "city": "string",
      "country": "string",
      "address_line_1": "string",
      "address_line_2": "string",
      "state": "string"
    }
  },
  "address_validation": {
    "code": "P01",
    "message": "string",
    "last_updated": "2026-09-01T09:30:28.784Z",
    "address": {
      "street": "string",
      "house_number": "string",
      "house_number_extension": "string",
      "zip_code": "string",
      "city": "string",
      "country": "string",
      "address_line_1": "string",
      "address_line_2": "string",
      "state": "string"
    }
  },
  "address_information": {
    "ownership_code": "K",
    "ownership_description": "string",
    "parceltype_code": "A",
    "parceltype_description": "string",
    "companies": "string",
    "description": "string"
  },
  "id_document_number_check_result": {
    "code": "unknown",
    "description": "string"
  },
  "registrations": [
    {
      "source": "string",
      "match": "string",
      "description": "string"
    }
  ],
  "registrations_extended": {
    "summaries": [
      {
        "person": 1,
        "company_name": 1,
        "company_kvk": 1,
        "address": 1,
        "id_document": 1,
        "source": "string",
        "PoliticallyExposed": 1,
        "pepCompany": 1,
        "AdverseMedia": 1,
        "DisqualifiedDirector": 1,
        "LawEnforcement": 1,
        "Sanctions": 1,
        "CurrentSanctions": 1,
        "PreviousSanctions": 1,
        "FinancialRegulator": 1,
        "Insolvent": 1
      }
    ],
    "registrations": [
      {
        "source": "string",
        "match": "string",
        "description": "string"
      }
    ]
  },
  "risk_scores": {
    "name": {
      "code": "PRR",
      "description": "string",
      "description_extra": "string"
    },
    "address": {
      "code": "PRR",
      "description": "string",
      "description_extra": "string"
    },
    "zip_code": {
      "code": "PRR",
      "description": "string",
      "description_extra": "string"
    },
    "statistical_scores": {
      "pc4": {
        "count": "string",
        "risk": "string"
      },
      "pc5": {
        "count": "string",
        "risk": "string"
      },
      "pc6": {
        "count": "string",
        "risk": "string"
      }
    }
  },
  "phone_number_matches": [
    {
      "code": "string",
      "message": "string",
      "name": "string",
      "phone_number": "string",
      "address": {
        "street": "string",
        "house_number": "string",
        "house_number_extension": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string",
        "address_line_1": "string",
        "address_line_2": "string",
        "state": "string"
      }
    }
  ],
  "backend_data": "string",
  "request_parameters": {
    "identifier": "string",
    "address": {
      "street": "string",
      "house_number": "string",
      "house_number_extension": "string",
      "zip_code": "string",
      "city": "string",
      "country": "string",
      "state": "string"
    },
    "person": {
      "initials": "string",
      "first_name": "string",
      "last_name_prefix": "string",
      "last_name": "string",
      "email": "string",
      "gender": "M",
      "date_of_birth": "string",
      "phone_number": "string"
    },
    "id_documents": [
      {
        "type": "drivers_license",
        "country": "string",
        "number": "string",
        "valid_date": "string"
      }
    ]
  },
  "report_pdf": "string",
  "report_html": "string"
}